cURL
curl --request PATCH \
--url https://api.example.com/v2/driver/invoices/{id}/payment-status/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invoice_number": "<string>",
"amount": "<string>",
"file": "<string>"
}
'import requests
url = "https://api.example.com/v2/driver/invoices/{id}/payment-status/"
payload = {
"invoice_number": "<string>",
"amount": "<string>",
"file": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({invoice_number: '<string>', amount: '<string>', file: '<string>'})
};
fetch('https://api.example.com/v2/driver/invoices/{id}/payment-status/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"driver": {
"id": 123,
"first_name": "<string>",
"address_line_1": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"email": [
"jsmith@example.com"
],
"driver_id": "<string>",
"last_name": "<string>",
"address_line_2": "<string>",
"contact_number": "<string>"
},
"invoice_number": "<string>",
"amount": "<string>",
"file": "<string>",
"file_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Invoices
Update Payment Status
Update the payment status of a driver invoice.
PATCH
/
v2
/
driver
/
invoices
/
{id}
/
payment-status
/
cURL
Authorizations
JWTAPIKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A unique integer value identifying this Driver Invoice Upload.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
200 - application/json
Show child attributes
Show child attributes
Maximum string length:
255Pattern:
^-?\d{0,4}(?:\.\d{0,2})?$pending- Pendingsucceeded- Succeededfailed- Failed
Available options:
pending, succeeded, failed Was this page helpful?
⌘I

